Subject: bug#59613: 29.0.50; There is no tree-sitter equivalent for c-or-c++-mode

From: Yuan Fu <[email-masked]>
Date: Sun, 8 Jan 2023 09:45:16 -0800

Yuan Fu <[email-masked]> writes:

> Pankaj Jangid <[email-masked]> writes:
>
>> For header files the default is c-or-c++-mode. As per the new
>> convention, there should be a c-or-c++-ts-mode for header files.
>
> (push '(c-mode . c-ts-mode) major-mode-remap-alist) doesn’t seem to
> affect header files for some reason. I’ll need to look into it. In the
> meantime, you can use auto-mode-alist to map .h files to c/c++-ts-mode.
>
> Yuan

Actually, due to the feature freeze, the change should be added to the
master branch, and won’t appear in Emacs 29. Sorry about that :-(

Yuan